From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/wesnoth/
Date: Thu, 24 Aug 2023 14:01:07 +0000 (UTC) [thread overview]
Message-ID: <1692885601.420dd1b3e2566e5bd88b29dd29812d057ba89f63.pacho@gentoo> (raw)
commit: 420dd1b3e2566e5bd88b29dd29812d057ba89f63
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 24 13:58:32 2023 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Aug 24 14:00:01 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=420dd1b3
games-strategy/wesnoth: add 1.17.20
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
games-strategy/wesnoth/Manifest | 1 +
games-strategy/wesnoth/wesnoth-1.17.20.ebuild | 102 ++++++++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index 46bb23272a14..4257802e4705 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -3,3 +3,4 @@ DIST wesnoth-1.16.8.tar.gz 518468407 BLAKE2B 9c224757e0d1727acc66a5421266fa6e050
DIST wesnoth-1.16.9.tar.gz 518511920 BLAKE2B bc9bfa9b514e72ce732a4256f765976f5be806d12dd962b2b396ffa8646acaa84c1bb1f4b20368886579782f8236c0d71f296bb5bd2451d4b0d8f6ce46bc3a18 SHA512 313aaad95c66757a952c00f1e5a515ce61bcf7564d6555802bc2619714d038a9a5607f3395e3e8afe5f216205e5b9b07b651789a749b4de37b30f8b8a47cb47f
DIST wesnoth-1.17.17.tar.bz2 423574966 BLAKE2B 08bcc889333a74b45882f0b1a87960f333eb833c135429f19e3e5805206a45d6e890baa5b2b944d54e8aa088295bcf697c592d96703ee1fb49314e080f3949d8 SHA512 721edb885f5f215d679f50ae5ec34c11631771d248320617d55808580f4d1ab22d24b5a4e4001113ad8990b2e0f4e13d64a97a57de30d5453bd82e54ee7949aa
DIST wesnoth-1.17.19.tar.bz2 424402790 BLAKE2B bfb594b2c6421f8c553fda4db7ee9df57f7a5c9ed5589354c5360abe8e7d155720c9b904e8c480ade106308e4e0202ee209bb2550455a45b2dd4dc4a32428c14 SHA512 4c43d462a512525640448069c14bb0690ba3bddba793568810c1f3a3af6b26caa922d5e893b6ec5579f23ed244e4cce6604fbc9aa162809050422fe0e44364e4
+DIST wesnoth-1.17.20.tar.bz2 424613262 BLAKE2B acf8b6a9213b1fea9370c76cc7e63001fa34777357ab791db8380ca684195e830385939d0e31fbb058e5c84ebce74f084d9884bdf27d1ecb662e28dbcb477dab SHA512 b7eaaf624e84b28eca7d702a791fbe7c6b9e833d3e4f9d61ee79c70737ec396b81b2cefedae0ef272ec5384d71c28a4b083bf837591f6ce2c345d79f43b1e87e
diff --git a/games-strategy/wesnoth/wesnoth-1.17.20.ebuild b/games-strategy/wesnoth/wesnoth-1.17.20.ebuild
new file mode 100644
index 000000000000..b4c9db3eeff1
--- /dev/null
+++ b/games-strategy/wesnoth/wesnoth-1.17.20.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic xdg
+
+DESCRIPTION="Battle for Wesnoth - A fantasy turn-based strategy game"
+HOMEPAGE="http://www.wesnoth.org
+ https://github.com/wesnoth/wesnoth"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+# uneven minor versions are development versions
+if [[ $(( $(ver_cut 2) % 2 )) == 0 ]] ; then
+ KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+IUSE="dbus dedicated doc nls server"
+
+RDEPEND="
+ acct-group/wesnoth
+ acct-user/wesnoth
+ dev-libs/boost:=[bzip2,context,icu,nls]
+ >=media-libs/libsdl2-2.0.4:0[joystick,video,X]
+ !dedicated? (
+ dev-libs/glib:2
+ dev-libs/openssl:0=
+ >=media-libs/fontconfig-2.4.1
+ >=media-libs/sdl2-image-2.0.0[jpeg,png,webp]
+ >=media-libs/sdl2-mixer-2.0.0[vorbis]
+ media-libs/libvorbis
+ >=x11-libs/pango-1.22.0
+ >=x11-libs/cairo-1.10.0
+ sys-libs/readline:0=
+ dbus? ( sys-apps/dbus )
+ )"
+DEPEND="${RDEPEND}
+ x11-libs/libX11
+"
+BDEPEND="
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ cmake_src_prepare
+
+ if ! use doc ; then
+ sed -i \
+ -e '/manual/d' \
+ doc/CMakeLists.txt || die
+ fi
+
+ # respect LINGUAS (bug #483316)
+ if [[ ${LINGUAS+set} ]] ; then
+ local lang langs=()
+ for lang in $(cat po/LINGUAS) ; do
+ has ${lang} ${LINGUAS} && langs+=( ${lang} )
+ done
+ echo "${langs[@]}" > po/LINGUAS || die
+ fi
+}
+
+src_configure() {
+ filter-flags -ftracer -fomit-frame-pointer
+
+ local mycmakeargs=()
+
+ if use dedicated || use server ; then
+ mycmakeargs+=(
+ -DENABLE_CAMPAIGN_SERVER="ON"
+ -DENABLE_SERVER="ON"
+ -DSERVER_UID="${PN}"
+ -DSERVER_GID="${PN}"
+ -DFIFO_DIR="/run/wesnothd"
+ )
+ else
+ mycmakeargs+=(
+ -DENABLE_CAMPAIGN_SERVER="OFF"
+ -DENABLE_SERVER="OFF"
+ )
+ fi
+ mycmakeargs+=(
+ -Wno-dev
+ -DENABLE_GAME="$(usex !dedicated)"
+ -DENABLE_DESKTOP_ENTRY="$(usex !dedicated)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_NOTIFICATIONS="$(usex dbus)"
+ -DENABLE_STRICT_COMPILATION="OFF"
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ local DOCS=( README.md changelog.md )
+ cmake_src_install
+ if use dedicated || use server ; then
+ rmdir "${ED}"/run{/wesnothd,} || die
+ newinitd "${FILESDIR}"/wesnothd.rc-r1 wesnothd
+ fi
+}
next reply other threads:[~2023-08-24 14:01 UTC|newest]
Thread overview: 84+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-08-24 14:01 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-09 9:41 [gentoo-commits] repo/gentoo:master commit in: games-strategy/wesnoth/ Pacho Ramos
2024-11-09 9:41 Pacho Ramos
2024-07-05 19:10 Pacho Ramos
2024-07-05 19:10 Pacho Ramos
2024-07-05 19:10 Pacho Ramos
2024-05-09 9:09 Pacho Ramos
2024-05-07 19:04 Pacho Ramos
2024-05-07 19:04 Pacho Ramos
2023-08-24 14:01 Pacho Ramos
2023-08-24 14:01 Pacho Ramos
2023-07-18 7:16 Pacho Ramos
2023-07-18 7:16 Pacho Ramos
2023-07-18 7:16 Pacho Ramos
2023-05-28 13:57 Pacho Ramos
2022-12-20 11:21 Sam James
2022-12-20 11:21 Sam James
2022-12-20 11:21 Sam James
2022-12-19 23:57 Stefan Strogin
2022-10-23 22:22 Pacho Ramos
2022-10-23 22:22 Pacho Ramos
2022-08-11 7:37 Ionen Wolkens
2022-06-19 18:15 Lars Wendler
2022-06-19 17:23 Lars Wendler
2022-06-19 17:23 Lars Wendler
2022-05-17 5:34 Sam James
2022-05-16 9:39 Lars Wendler
2022-05-16 9:25 Lars Wendler
2022-05-16 9:25 Lars Wendler
2022-03-12 12:01 Arthur Zamarin
2022-03-10 2:21 Sam James
2021-10-27 13:28 Ionen Wolkens
2021-10-26 22:08 Piotr Karbowski
2021-07-19 18:16 Lars Wendler
2021-06-21 20:17 Lars Wendler
2021-06-18 19:18 David Seifert
2021-05-03 7:01 Mikle Kolyada
2021-04-19 15:30 Lars Wendler
2021-04-01 21:44 Lars Wendler
2020-11-26 11:11 Sam James
2020-11-26 11:11 Sam James
2020-11-15 20:03 David Seifert
2020-11-15 20:03 David Seifert
2020-09-17 7:36 Lars Wendler
2020-09-17 7:36 Lars Wendler
2020-07-08 23:15 Lars Wendler
2020-07-08 23:15 Lars Wendler
2020-06-03 20:16 James Le Cuirot
2020-03-12 10:38 Lars Wendler
2020-03-12 10:38 Lars Wendler
2019-10-22 9:15 Lars Wendler
2019-10-11 15:36 Michał Górny
2019-08-25 15:19 Stefan Strogin
2019-08-24 13:19 Lars Wendler
2019-08-20 21:14 Lars Wendler
2019-08-20 20:25 Lars Wendler
2019-08-19 9:14 Lars Wendler
2019-08-19 9:14 Lars Wendler
2019-04-15 14:54 Lars Wendler
2019-04-13 22:44 Pacho Ramos
2019-02-28 10:43 Lars Wendler
2019-01-08 9:25 Lars Wendler
2019-01-08 9:25 Lars Wendler
2018-09-21 11:37 Lars Wendler
2018-07-24 8:12 Lars Wendler
2018-07-23 21:28 Jeroen Roovers
2018-07-23 21:28 Jeroen Roovers
2018-06-13 16:21 Lars Wendler
2018-06-13 16:21 Lars Wendler
2018-06-02 21:48 Sergei Trofimovich
2018-06-01 14:11 Lars Wendler
2018-05-18 12:34 Aaron Bauman
2018-05-09 15:26 Lars Wendler
2017-12-21 1:57 David Seifert
2017-10-16 0:08 David Seifert
2017-01-04 15:29 Agostino Sarubbo
2016-09-26 12:36 Agostino Sarubbo
2016-05-18 3:39 Michael Sterrett
2015-12-29 7:41 Michael Sterrett
2015-12-25 16:20 Agostino Sarubbo
2015-12-07 10:02 Agostino Sarubbo
2015-11-22 14:16 Michael Sterrett
2015-11-06 9:13 Michael Sterrett
2015-09-19 18:39 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1692885601.420dd1b3e2566e5bd88b29dd29812d057ba89f63.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox